Skip to content

WorkFlowRepGen⁠

Perform various operations for Symitar parameters.

Operations⁠

getWorkFlowRepGen⁠

POST

Retrieve WorkFlowRepGen parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WorkFlowRepGenSpecfileintegerrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getWorkFlowRepGen
POST /nexum/627/2022.01/parameter/getWorkFlowRepGen HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WorkFlowRepGenSpecfile": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getWorkFlowRepGenSelectFields⁠

POST

Retrieve WorkFlowRepGen parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WorkFlowRepGenSpecfileintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getWorkFlowRepGenSelectFields
POST /nexum/627/2022.01/parameter/getWorkFlowRepGenSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "WorkFlowRepGenSpecfile": 0,
  "SelectableFields": {
    "WorkFlowRepGenFields": {
      "Specfile": true,
      "SpecfileName": true,
      "SpecfileDescription": true
    }
  }
}

getWorkFlowRepGenPagedList⁠

POST

Retrieve WorkFlowRepGen parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/getWorkFlowRepGenPagedList
POST /nexum/627/2022.01/parameter/getWorkFlowRepGenPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "REPLACE_WITH_YOUR_TOKEN"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getWorkFlowRepGenListSelectFields⁠

POST

Retrieve WorkFlowRepGen parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getWorkFlowRepGenListSelectFields
POST /nexum/627/2022.01/parameter/getWorkFlowRepGenListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "SelectableFields": {
    "IncludeAllWorkFlowRepGenFields": true
  }
}

searchWorkFlowRepGenSelectFields⁠

POST

Search WorkFlowRepGen parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/searchWorkFlowRepGenSelectFields
POST /nexum/627/2022.01/parameter/searchWorkFlowRepGenSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllWorkFlowRepGenFields": true
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getWorkFlowRepGenPagedListSelectFields⁠

POST

Retrieve WorkFlowRepGen parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/getWorkFlowRepGenPagedListSelectFields
POST /nexum/627/2022.01/parameter/getWorkFlowRepGenPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "WorkFlowRepGenFields": {
      "Specfile": true,
      "SpecfileName": true,
      "SpecfileDescription": true
    }
  }
}